Subject: Re: bug#56201: Backtrace fails to appear in an error situation.

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 24 Jun 2022 20:23:23 +0200

Alan Mackenzie <[email-masked]> writes:

> This ought to produce a backtrace, but doesn't.  It merely repeats the
> error message "Text is read-only".  This is a major bug; how can one
> solve minor bugs if attempts to get diagnostic information are blocked?

There's a lot of error conditions that are "normal" and handled by the
code, and `debug-on-error' doesn't help you with that.  You have to set
`debug-on-signal' to get a backtrace from those.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no